> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Parameter

> Parameter endpoints: Create Parameter, Get Parameter, Get Parameters, Update Parameter, Delete Parameter

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Parameter",
            "description": "Parameter endpoints: Create Parameter, Get Parameter, Get Parameters, Update Parameter, Delete Parameter",
            "url": "https://docs.dqlabs.ai/api-reference/metrics/parameter",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Parameter">
    `POST /api/v1/metrics/parameter`

    Create a metric parameter.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a metric parameter.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Parameter">
    `GET /api/v1/metrics/parameter/{parameterId}`

    Get one metric parameter by ID.

    **Path Parameters**

    <ParamField path="parameterId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"Constant_Param"`.
      </ResponseField>

      <ResponseField name="type" type="string">
        Example: `"Constant"`.
      </ResponseField>

      <ResponseField name="value" type="string">
        Example: `"5000"`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="id" type="string">
        Example: `"3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-08-18T06:06:33.379311Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-08-18T06:06:33.379652Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get one metric parameter by ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "name": "Constant_Param",
        "type": "Constant",
        "value": "5000",
        "is_active": true,
        "id": "3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e",
        "created_at": "2026-08-18T06:06:33.379311Z",
        "modified_at": "2026-08-18T06:06:33.379652Z",
        "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"
      }
    }
    ```
  </Tab>

  <Tab title="Get Parameters">
    `POST /api/v1/metrics/parameter/list`

    List metric parameters with optional export.

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"Constant_Param"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"Constant"`.
        </ResponseField>

        <ResponseField name="value" type="string">
          Example: `"5000"`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-08-18T06:06:33.379311Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-08-18T06:06:33.379652Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `2`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "List metric parameters with optional export.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "Constant_Param",
            "type": "Constant",
            "value": "5000",
            "is_active": true,
            "id": "3b8d1dc6-ef33-4103-bd66-7d6eff6aa65e",
            "created_at": "2026-08-18T06:06:33.379311Z",
            "modified_at": "2026-08-18T06:06:33.379652Z",
            "created_by": "e67fcce2-34f6-48e5-b53c-5c8c4a209d2b"
          }
        ],
        "total_count": 2
      }
    }
    ```
  </Tab>

  <Tab title="Update Parameter">
    `PUT /api/v1/metrics/parameter/{parameterId}`

    Update a metric parameter.

    **Path Parameters**

    <ParamField path="parameterId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a metric parameter.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Parameter">
    `DELETE /api/v1/metrics/parameter/{parameterId}`

    Soft-delete a metric parameter.

    **Path Parameters**

    <ParamField path="parameterId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Soft-delete a metric parameter.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
